Skip to main content
POST
/
api
/
v1
/
execution
/
tests
/
bulk_execute
Bulk Execute Tests
curl --request POST \
  --url https://backend.revyl.ai/api/v1/execution/tests/bulk_execute \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "test_ids": [
    "<string>"
  ],
  "run_config": {
    "llm_config": {
      "primary_model": "gemini/gemini-3-flash-preview",
      "reflection_model": "gemini/gemini-3-flash-preview",
      "planning_model": "gemini/gemini-3-flash-preview"
    },
    "execution_mode": {
      "human_in_the_loop": false,
      "enable_reflection": true,
      "enable_planning": false,
      "retries": 1,
      "reflection_retries": 1,
      "skip_app_install": false,
      "grounder_type": "moondream3"
    },
    "run_id": "<string>",
    "cache_retry_mode": "full_rerun",
    "fallback_trigger": "final_fail",
    "disable_grid": true
  }
}
'
{
  "results": [
    {
      "test_id": "<string>",
      "success": true,
      "task_id": "<string>",
      "error": "<string>"
    }
  ],
  "success_count": 123,
  "error_count": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Revyl-Client
string | null
X-CI-System
string | null
X-CI-Commit-SHA
string | null
X-CI-Branch
string | null
X-CI-PR-Number
integer | null
X-CI-Run-URL
string | null
X-CI-Run-ID
string | null
X-CI-Repository
string | null

Body

application/json

Request model for bulk test execution.

test_ids
string[]
required
run_config
TestRunConfig · object

Complete configuration for a test run.

Response

Successful Response

Response from bulk execution.

results
BulkExecuteResultItem · object[]
required
success_count
integer
required
error_count
integer
required